> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stickyqr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reward Details by ID

> Returns the reward’s details identified by that reward’s ID



## OpenAPI

````yaml GET /rewards/{id}
openapi: 3.0.1
info:
  title: StickyQR Public API
  description: StickyQR Public API
  license:
    name: MIT
  version: 1.0.1
servers:
  - url: https://app.stickyqr.com/api
security:
  - bearerAuth: []
tags:
  - name: Account
  - name: Customers
  - name: Rewards
  - name: QR
paths:
  /rewards/{id}:
    get:
      tags:
        - Rewards
      summary: Get Reward By Id
      description: Returns the reward’s details identified by that reward’s ID
      operationId: getRewardById
      parameters:
        - name: x-lang
          in: header
          schema:
            type: string
            example: en
            default: en
          description: Language support
        - name: id
          in: path
          required: true
          description: Reward's id
          schema:
            type: string
      responses:
        '200':
          description: Successfull Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Reward's id
                  name:
                    type: string
                    description: Reward's name
                  createdAt:
                    type: string
                    description: Timestamp of object creation in ISO 8601 format
                  updatedAt:
                    type: string
                    description: >-
                      Timestamp of the last update made to the object, in ISO
                      8601 format
                  cost:
                    type: number
                    description: The cost of the reward
                  index:
                    type: number
                    description: Index or position of the reward in the list
                  isEnable:
                    type: boolean
                    description: Reward is enabled or not
              examples:
                Successfull Response:
                  value:
                    id: <string>
                    name: <string>
                    createdAt: <string>
                    updatedAt: <string>
                    cost: 123
                    index: 123
                    isEnable: <boolean>
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````